package com.lightinit.hsdataportal.dictionary;

import java.util.LinkedHashMap;

/**
 * Created by WangYao on 2018/5/21.
 */
public class DicActivityState {

    public static final String DRAFT = "待提交";
    public static final String PENDING = "审核中";
    public static final String REJECTED = "审核不通过";
    public static final String ONGOING = "进行中";
    public static final String FINISHED = "已结束";
    public static final String OFFLINE = "已下架";

    private static DicActivityState instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicActivityState(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(DRAFT, DRAFT);
        dicMap.put(PENDING, PENDING);
        dicMap.put(REJECTED, REJECTED);
        dicMap.put(ONGOING, ONGOING);
        dicMap.put(FINISHED, FINISHED);
        dicMap.put(OFFLINE, OFFLINE);
    }

    public static DicActivityState getInstacne(){
        if (instance == null)
        {
            instance = new DicActivityState();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
